<?php 

function conectar(){
	$con= new mysqli("localhost","root","minas","bd_suahorta") or die(mysqli_erro());

	return $con;
} 

	function logar($email, $senha){
		//echo "Dados recebido: $email, $senha";

		$con = conectar();

		$sql = "SELECT * FROM usuarios WHERE email = ? AND senha =?";
		$stm = $con->prepare($sql);

		$stm->bind_param("ss", $email, $senha);

		if($stm->execute()){
			//echo "Usuario localizado";
			$stm->bind_result($id, $nome, $email, $nomeUser, $senha);

			$stm->fetch();
			$stm->close();
			$con->close();

			if($nome != ""){
			echo "Dados retornados:$id $nome, $email, $nomeUser, $senha";
		}else{
			echo "Usuario incorreto";
		}
		return null;
		}else{
			echo "Usuario não localizado";
			$stm->close();
			$con->close();
			
			return null;
		}

	}
 ?>
